Bug 580 - Catalyst 12.6 fails to work with xf86-video-intel 2.20.3 on muxless AMD+Intel PowerXpress with X.org X server 1.12.3
Summary: Catalyst 12.6 fails to work with xf86-video-intel 2.20.3 on muxless AMD+Intel...
Status: CLOSED WONTFIX
Alias: None
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: X11 Driver (show other bugs)
Version: .archived
Hardware: Radeon HD 6000 Series Linux
: low major
Assignee: nobody
URL:
Depends on:
Blocks:
 
Reported: 2012-08-05 07:48 CDT by zhoujingmiller
Modified: 2013-08-22 13:58 CDT (History)
0 users



Attachments
from atigetsysteminfo.sh (204.62 KB, text/plain)
2012-08-05 07:49 CDT, zhoujingmiller
Details
log for the segfault (9.28 KB, text/plain)
2012-08-05 07:50 CDT, zhoujingmiller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhoujingmiller 2012-08-05 07:48:46 CDT
Description of problem: 

Start X via either xdm or startx with aticonfig's xorg.conf and X server segfaults.

Steps to reproduce:
1. aticonfig --initial to produce an /etc/X11/xorg.conf
2. startx or start the xdm/kdm system service.
3. X server segfaults

Actual result: X server segfaults.

Expected result: X server does not segfault.

atisysteminfo-report.txt and Xorg.8.log to be attached.
Comment 1 zhoujingmiller 2012-08-05 07:49:18 CDT
Created attachment 550 [details]
from atigetsysteminfo.sh
Comment 2 zhoujingmiller 2012-08-05 07:50:07 CDT
Created attachment 551 [details]
log for the segfault
Comment 3 zhoujingmiller 2012-08-05 07:51:05 CDT
My X server build-info as follows:
X.Org X Server 1.12.3
Release Date: 2012-07-09
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.5.0-gentoo x86_64 Gentoo
Current Operating System: Linux localhost 3.5.0-gentoo #1 SMP Fri Jul 27 11:01:49 SGT 2012 x86_64
Kernel command line: BOOT_IMAGE=/vmlinuz-3.5.0-gentoo root=/dev/sda6 ro rootfstype=jfs raid=noautodetect resume=/dev/sda5 selinux=1 video.allow_duplicates=1 keymap=us modprobe.blacklist=radeon pcie_aspm=force i915.semaphores=1 i915.lvds_downclock=1 i915.i915_enable_fbc=1 i915.i915_enable_rc6=1
Build Date: 04 August 2012  09:48:07AM
 
Current version of pixman: 0.27.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Comment 4 zhoujingmiller 2012-08-05 07:55:23 CDT
However, xf86-video-intel 2.20.2 works quite well with Catalyst 12.6.
Comment 5 zhoujingmiller 2012-08-05 07:59:36 CDT
My speculation is that Intel changed/added new PCI-ID's in the release and FGLRX did not recognize them.
Comment 6 zhoujingmiller 2012-08-05 08:57:06 CDT
link for Gentoo's bugzilla:
https://bugs.gentoo.org/show_bug.cgi?id=430000
Comment 8 Michael Cronenworth 2013-08-14 11:05:38 CDT
This message is a reminder that your bug is marked as Catalyst 12.6.

The current legacy Catalyst version is 13.1.
The current Catalyst version is 13.4.
The current Catalyst beta version is 13.8.

Approximately 7 days from now the Bugzilla administrator will be removing the 12.6 version. At that time your bug will be CLOSED as WONTFIX.

Bug Reporter: Thank you for reporting this issue. However, the Bugzilla administrator provides this as a unofficial, free service to AMD customers, and I like to keep my systems neat and tidy. If you would like to keep your bug from being closed, please try a new Catalyst version and update the 'version' field if the issue still occurs.

If you are unable to update the version, please make a comment and someone will change it for you.
Comment 9 Michael Cronenworth 2013-08-22 13:57:15 CDT
This bug is being closed due to the 'version' being 12.6 after 7 days of the previous closure notice.

Thank you for your bug report.